/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

import {DefaultEventHandler, openSimpleInputModal} from 'frontend-js-web';
import {Config} from 'metal-state';

import confirmDepotEntryDeletion from './confirmDepotEntryDeletion.es';

class DepotAdminManagementToolbarDefaultEventHandler extends DefaultEventHandler {
	addDepotEntry(itemData) {
		openSimpleInputModal({
			dialogTitle: Liferay.Language.get('add-asset-library'),
			formSubmitURL: itemData.addDepotEntryURL,
			mainFieldLabel: Liferay.Language.get('name'),
			mainFieldName: 'name',
			namespace: this.namespace,
			spritemap: this.spritemap,
		});
	}

	deleteSelectedDepotEntries() {
		if (confirmDepotEntryDeletion()) {
			const form = this.one('#fm');

			Liferay.Util.postForm(form, {
				data: {
					deleteEntryIds: Liferay.Util.listCheckedExcept(
						form,
						this.ns('allRowIds')
					),
				},
				url: this.deleteDepotEntriesURL,
			});
		}
	}
}

DepotAdminManagementToolbarDefaultEventHandler.STATE = {
	deleteDepotEntriesURL: Config.string(),
	spritemap: Config.string(),
};

export default DepotAdminManagementToolbarDefaultEventHandler;
